;;;Testfunktion fr BricsCAD - Einbinden in Werkzeugksten, Paletten und Mens
;;;Jrn Bosse, 15.04.2013


(defun c:Steigung ( / P1 P2)
  (if (and
        (setq p1 (getpoint "\nErster Punkt:"))
        (setq p2 (getpoint "\nZweiter Punkt:" p1)))
    (progn
      (setq z (- (caddr p2)(caddr p1))
            hz (distance (JB_Steigung:3D->2D p1)(JB_Steigung:3D->2D p2)))

      (if (/= (atof(rtos hz 2 5))0.0)
    (alert (strcat
             "Die Steigung betrgt:\n"
             "1:" (rtos (/ z hz)2 3)
             "\n\nIn Prozent:\n"
             (rtos(*(/ z hz)100.0)2 3)
             "\n\nHz-Abstand:\n"
             (rtos hz 2 3))
             "\n\nAbstand in Z:\n"
             (rtos z 2 3))
        (alert "Es konnte keine Steigung ermittelt werden."))
        ))
  (princ)
  )

(defun JB_Steigung:3D->2D (p / )
  (reverse(cons 0.0(cdr(reverse p)))))

 